Bug 840039 - erlang R15 breaks some ejabberd 2.1.11 modules
erlang R15 breaks some ejabberd 2.1.11 modules
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ejabberd (Show other bugs)
17
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 10:01 EDT by Jerry Vonau
Modified: 2012-07-31 13:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-23 16:23:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Vonau 2012-07-13 10:01:53 EDT
Description of problem:
With the move erlang R15 some modules don't work due to the use of regexp calls which have been removed from erlang, should be using the newer rc calls with R15. See https://support.process-one.net/browse/EJAB-921. 

Version-Release number of selected component (if applicable):
ejabberd-2.1.11-1.f17

How reproducible:
Install ejabberd and try to create a shared roster group

Steps to Reproduce:
1.Try using ejabberdctl srg_create
2.
3.
  
Actual results:
Problem 'error undef' occurred executing the command.
Stacktrace: [{regexp,split,["Online","\\\\n"],[]},
             {mod_admin_extra,srg_create,5,
                              [{file,"mod_admin_extra.erl"},{line,1016}]},
             {ejabberd_ctl,call_command,3,
                           [{file,"ejabberd_ctl.erl"},{line,292}]},
             {ejabberd_ctl,try_call_command,3,
                           [{file,"ejabberd_ctl.erl"},{line,269}]},
             {ejabberd_ctl,process2,3,[{file,"ejabberd_ctl.erl"},{line,215}]},
             {ejabberd_ctl,process,1,[{file,"ejabberd_ctl.erl"},{line,200}]},
             {rpc,'-handle_call_call/6-fun-0-',5,
                  [{file,"rpc.erl"},{line,203}]}]

Expected results:
working shared roster group

Additional info:
When recompiling via rpmbuild there are errors as produced
mod_ctlextra.erl:459: Warning: regexp:gsub/3: removed in R15; use the re module instead
mod_ctlextra.erl:631: Warning: regexp:first_match/2: removed in R15; use the re module instead
mod_ctlextra.erl:639: Warning: regexp:format_error/1: removed in R15; use the re module instead
mod_ctlextra.erl:643: Warning: regexp:sh_to_awk/1: removed in R15; use the re module instead


mod_admin_extra.erl:732: Warning: regexp:gsub/3: removed in R15; use the re module instead
mod_admin_extra.erl:1016: Warning: regexp:split/2: removed in R15; use the re module instead
mod_admin_extra.erl:1267: Warning: regexp:first_match/2: removed in R15; use the re module instead
mod_admin_extra.erl:1275: Warning: regexp:format_error/1: removed in R15; use the re module instead
mod_admin_extra.erl:1279: Warning: regexp:sh_to_awk/1: removed in R15; use the re module instead
Comment 1 Fedora Update System 2012-07-15 03:54:04 EDT
ejabberd-2.1.11-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ejabberd-2.1.11-3.el5
Comment 2 Fedora Update System 2012-07-15 03:54:23 EDT
ejabberd-2.1.11-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ejabberd-2.1.11-3.fc16
Comment 3 Fedora Update System 2012-07-15 03:54:40 EDT
ejabberd-2.1.11-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ejabberd-2.1.11-3.fc17
Comment 4 Fedora Update System 2012-07-15 03:54:56 EDT
ejabberd-2.1.11-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ejabberd-2.1.11-3.el6
Comment 5 Fedora Update System 2012-07-15 14:26:17 EDT
Package ejabberd-2.1.11-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ejabberd-2.1.11-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6401/ejabberd-2.1.11-3.el6
then log in and leave karma (feedback).
Comment 6 Jerry Vonau 2012-07-17 03:58:07 EDT
Looks to be fix for F17, thanks
Comment 7 Fedora Update System 2012-07-23 16:23:54 EDT
ejabberd-2.1.11-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-07-23 16:25:35 EDT
ejabberd-2.1.11-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-07-31 12:58:05 EDT
ejabberd-2.1.11-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-07-31 13:00:51 EDT
ejabberd-2.1.11-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.